Subject: bug#43324: Auto-indenting csh/tcsh shell scripts [emacs-28]

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 18:20:45 +0200

Kaushal Modi <[email-masked]> writes:

> I had this code that relied on the now-removed code:
> https://github.com/kaushalmodi/.emacs.d/blob/fec110f5281e0bd4fe5c16ca18832e1df1c8f27f/setup-files/setup-shell.el#L43-L148
>
> Can you please add SMIE auto-indentation support for csh/tcsh shell scripts?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Does this mean that indentation doesn't work for tcsh in
shell-script-mode?  I had a brief look at a tcsh script and did some
indentation, and it seemed to work OK for me.

What are the bits that are missing?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no